> For the complete documentation index, see [llms.txt](https://docs.cebodtelecom.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cebodtelecom.com/api/didml-reference-doc/didml-verbs/less-than-redirect-greater-than.md).

# \<redirect>

**Role:** \<redirect> can be used to tell the system to get all the further instructions from a different URL. Once we get the redirect url, all the pending instruction from existing dial plan will be discarded and system will call new url for new didML data.

**Use:**&#x20;

* *Useful to redirect the traffic to new location or site.*
* There can be a points during the call where all the further the instructions are stored on a different system and different domain.

### Attributes

| <p><strong>Attribute</strong><br></p> | <p><strong>Value</strong><br></p> | <p><strong>Default</strong><br></p> |
| ------------------------------------- | --------------------------------- | ----------------------------------- |
| Method                                | POST/GET                          | POST                                |

#### Here is an example of how \<redirect> is used within code.

```
<?xml version="1.0" encoding="UTF-8"?> 
<Response>
     <redirect>http://newlocation.com/handlecall.xml</redirect>
 </Response>
```

Only attribute offered for this verb is method, where we can call the new url either by post or get method. On a new request we will pass the same information as we do on first request.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cebodtelecom.com/api/didml-reference-doc/didml-verbs/less-than-redirect-greater-than.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
